cascading.tuple

## Interface Hasher<V>

All Known Implementing Classes:
  BytesComparator

    public interface Hasher<V>

The Hasher allows a `Comparator` implementation to also be delegated to during hashCode generation during grouping partitioning.

If a Comparator is used to compare two types during grouping, its likely the `hashCode` value between the two objects will not be consistent. This allows to objects being equal to hash to the same bucket (reducer) during partitioning.

As of Cascading 3.0 null values will be passed to implementations of the Hasher interface.

### Method Summary

Methods
`int` `hashCode(V value)` Return the hashCode of the given value.

### Method Detail

#### hashCode

    int hashCode(V value)

Return the hashCode of the given value.

Parameters:
  `value` - may be null
Returns:
  int hashCode of given value